JNA API 3.3.0

## com.sun.jna.platform.win32
Class WinNT.SID_AND_ATTRIBUTES

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.WinNT.SID_AND_ATTRIBUTES

Enclosing interface:
  WinNT

    public static class WinNT.SID_AND_ATTRIBUTES

extends Structure

The SID_AND_ATTRIBUTES structure represents a security identifier (SID) and its attributes. SIDs are used to uniquely identify users or groups.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`int` | `Attributes` Specifies attributes of the SID.
`WinNT.PSID.ByReference` | `Sid` Pointer to a SID structure.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinNT.SID_AND_ATTRIBUTES()`
`WinNT.SID_AND_ATTRIBUTES(Pointer memory)`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Sid

    public WinNT.PSID.ByReference Sid

  Pointer to a SID structure.

### Attributes

    public int Attributes

  Specifies attributes of the SID. This value contains up to 32 one-bit flags. Its meaning depends on the definition and use of the SID.

Constructor Detail

### WinNT.SID_AND_ATTRIBUTES

    public WinNT.SID_AND_ATTRIBUTES()

### WinNT.SID_AND_ATTRIBUTES

    public WinNT.SID_AND_ATTRIBUTES(Pointer memory)

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.